List incident types
List the available incident types
Incident Types are a feature which will allow customers to categorize incidents, such as a security incident, a major incident, or a fraud incident. These can be filtered by enabled or disabled types.
For more information see the API Concepts Document
Scoped OAuth requires: incident_types.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
Filters the list of incident types based on their enabled state.
"enabled"Value in
- "enabled"
- "disabled"
- "all"
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
List Incident Type Custom Fields GET
List the custom fields for an incident type. Custom Fields (CF) are a feature which will allow customers to extend Incidents with their own custom data, to provide additional context and support features such as customized filtering, search and analytics. Custom Fields can be applied to different incident types. Scoped OAuth requires: `custom_fields.read`
Update a Field Option for a Custom Field PUT
Update a field option for a custom field. Custom Fields (CF) are a feature which will allow customers to extend Incidents with their own custom data, to provide additional context and support features such as customized filtering, search and analytics. Custom Fields can be applied to different incident types. Scoped OAuth requires: `custom_fields.write`